WSDL::Binding Class Reference

class for WSDL bindings More...

Inheritance diagram for WSDL::Binding:
[legend]

## Private Attributes

bool | docstyle = True
| use RPC or document style More...
| private
| check if part exists in massage, if part is empty and message contains single part then return it otherwise raise an exception

## Additional Inherited Members

Public Attributes inherited from WSDL::XsdNamedData
*string | ns
| input namespace prefix (if any given)
| descriptive_name
| descriptive name flag

## Detailed Description

class for WSDL bindings

## Member Data Documentation

## docstyle

bool WSDL::Binding::docstyle = True

private

use RPC or document style

according to https://www.w3.org/TR/wsdl#_soap:operation 'If the soap:binding element does not specify a style, it is assumed to be "document".'